Returns the specified task list.

GEThttps://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}
GET https://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}

Returns the specified task list when it is visible in the project.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

taskListIdstringRequired
format: uuid

The id of the task list.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the task list.

createdOnstringOptional
format: date-time

The date this task list was created.

createdBystringOptional
format: uuid

The id of the user who created this task list.

updatedOnstringOptional
format: date-time

The date this task list was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this task list.

namestring or nullOptional

The name of the list.

ordernumber or nullOptional
format: double

The order of the list.

plannedDurationinteger or nullOptional
format: int32

The planned duration for this task list, in seconds.

totalPlannedDurationinteger or nullOptional
format: int64

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchyinteger or nullOptional
format: int64

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedbooleanOptional

Whether the task list has been archived.

isHiddenForConnectUsersbooleanOptional

True if the task in this list will be not visible for external workspace users. False otherwise.

trackedDurationintegerOptional
format: int32

The total duration of time trackings for tasks in this task list, in seconds. Includes both billable and non-billable time trackings. Backend-calculated property. When hierarchy feature flag is enabled: only tasks with PrimaryTaskListId == this list. When hierarchy feature flag is disabled: all tasks associated with this list.

Search documentation